#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>

using namespace std;

vector<int> r;

void rec(vector<bool> g, int l, int op){
    if(l == r.size() && op == 0){
        for(int i = 0; i < r.size(); ++i){
            int x = r[i];
            if(g[i] == 1){
                x = -x;
            }
            cout << x << " ";
        }
        cout << "\n";
    }else{
       rec(g, l + 1, op);
       g[l] = 1;
       rec(g, l + 1, 1 - op);
    }
    return;
}

int main()
{
    long long int n;
    cin >> n;
    int op;
    if(n > 0){
       op = 0;
    }else{
       op = 1;
    }
    n = abs(n);
    for(int i = 2; i <= sqrt(n); ++i){
        while(n%i == 0){
            r.push_back(i);
            n /= i;
        }
    }
    if(n > 1){
        r.push_back(n);
    }
    for(int i = 0; i < r.size(); ++i){
        cout << r[i] << " ";
    }
    vector<bool> g(n, true);
    rec(g, 0, op);
    return 0;
}
