﻿#include <iostream>
#include <string>
#include <vector>
#include <map>
#include <set>

using namespace std;

typedef long long ll;

vector <ll> bin(ll p) {
    vector <ll> ans;
    for (ll i = 2; i  * i <= p; ++i)
        while (p % i == 0) {
            ans.push_back(i);
            p /= i;
        }
    if (p != 1)
        ans.push_back(p);
    return ans;
}

bool flag = 0;

set <map <ll, ll>> ans;

void rec(ll cnt_minus, map <ll, ll> cnt_min, vector <ll> bi) {
    if (cnt_minus % 2 == flag)
        ans.insert(cnt_min);
    if (cnt_minus == bi.size())
        return;
    for (ll i = 0; i < bi.size(); ++i) {
        if (bi[i] > 0) {
            ++cnt_min[bi[i]];
            bi[i] = -bi[i];
            ++cnt_minus;
            rec(cnt_minus, cnt_min, bi);
            --cnt_minus;
            bi[i] = -bi[i];
            --cnt_min[bi[i]];
        }
    }
}

int main() {
    std::ios::sync_with_stdio(false);
    std::ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    ll p; cin >> p;
    vector <ll> bi = bin(p);
    if (p < 0)
        flag = 1;
    map <ll, ll> cnt_min;
    map <ll, ll> cnt;
    for (auto to : bi)
        ++cnt[to];
    rec(0, cnt_min, bi);
    for (auto to : ans) {
        map <ll, ll> cnt_min = to;
        map <ll, char> used;
        for (auto to2 : cnt_min) {
            for (ll i = 0; i < to2.second; ++i)
                cout << -to2.first << " ";
            for (ll i = to2.second; i < cnt[to2.first]; ++i)
                cout << to2.first << " ";
            used[to2.first] = 1;
        }
        for (auto to2 : cnt)
            if (!used[to2.first])
                for (ll i = 0; i < to2.second; ++i)
                    cout << to2.first << " ";
        cout << '\n';
    }
}