﻿#include <iostream>
#include <string>
#include <vector>
#include <map>
#include <set>

using namespace std;

typedef long long ll;

vector <ll> bin(ll p) {
    vector <ll> ans;
    for (ll i = 2; i  * i <= p; ++i)
        while (p % i == 0) {
            ans.push_back(i);
            p /= i;
        }
    if (p != 1)
        ans.push_back(p);
    return ans;
}

bool flag = 0;

set <map <ll, ll>> ans;

void rec(ll cnt_minus, map <ll, ll> cnt, map <ll, ll> cnt_min) {
    if (cnt_minus % 2 == flag)
        ans.insert(cnt_min);
    for (auto to : cnt) {
        if (cnt_min[to.first] < cnt[to.first]) {
            ++cnt_min[to.first];
            ++cnt_minus;
            rec(cnt_minus, cnt, cnt_min);
            --cnt_min[to.first];
            --cnt_minus;
        }
    }
}

int main() {
    std::ios::sync_with_stdio(false);
    std::ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    ll p; cin >> p;
    if (p < 0)
        flag = 1;
    vector <ll> bi;
    if (p < 0)
        bi = bin(-p);
    else
        bi = bin(p);
    map <ll, ll> cnt_min;
    map <ll, ll> cnt;
    for (auto to : bi)
        ++cnt[to];
    rec(0, cnt, cnt_min);
    for (auto to : ans) {
        map <ll, ll> cnt_min = to;
        map <ll, char> used;
        for (auto to2 : cnt_min) {
            for (ll i = 0; i < to2.second; ++i)
                cout << -to2.first << " ";
            for (ll i = to2.second; i < cnt[to2.first]; ++i)
                cout << to2.first << " ";
            used[to2.first] = 1;
        }
        for (auto to2 : cnt)
            if (!used[to2.first])
                for (ll i = 0; i < to2.second; ++i)
                    cout << to2.first << " ";
        cout << '\n';
    }
}