import java.util.*;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.function.Function;

public class Main {
    public static void main(String[] args) {
        Scanner s = new Scanner(System.in);
        int n = Integer.parseInt(s.nextLine());
        Map<String, AtomicInteger> cnt = new HashMap<>(10);
        for (int t = 0; t < n; t++) {
            char[] line = s.nextLine().toCharArray();
            for (int i = 0; i < line.length-1; i++) {
                char t1 = line[i], t2 = line[i+1];
                if (t1 > t2) {
                    char tmp = t1;
                    t1 = t2;
                    t2 = tmp;
                }
                proc(new String(new char[] { t1, t2 }), cnt);
            }
        }
        int max = 0;
        List<String> maxes = new ArrayList<>();
        for (Map.Entry<String, AtomicInteger> ent : cnt.entrySet()) {
            int val = ent.getValue().get();
            if (val >= max) {
                if (val > max) {
                    max = val;
                    maxes.clear();
                }
                maxes.add(ent.getKey());
            }
        }
        maxes.forEach(System.out::println);
    }

    private static final Function<String, AtomicInteger> DEF = e -> new AtomicInteger(0);

    private static void proc(String s, Map<String, AtomicInteger> cnt) {
        cnt.computeIfAbsent(s, DEF).incrementAndGet();
    }
}
