#include <iostream>
#include <map>

using namespace std;
#include "vector"
#include "algorithm"
typedef long long ll;
#define forn(i, n) for(ll i = 0; (i) < (n); ++(i))

int main() {
    int n;
    cin >> n;

    vector<string> s(n);
    forn(i, n){
        cin >> s[i];
    }

    vector<string> pairs;
    forn(i, n){
        forn(j, s[i].size()){
            string buff;
            buff = s[i][j];
            if(j != 0)
                buff += s[i][j-1];
            else buff += s[i][s[i].size()-1];
            pairs.emplace_back(buff);
        }
    }


    map<string, ll> mp;
    map<ll, vector<string>> pairOf;
    forn(i, pairs.size()){
        mp[pairs[i]]++;
    }

    mp["RB"] += mp["BR"];
    mp["BG"] += mp["GB"];
    mp["RG"] += mp["GR"];

    ll maxx = 0;
    if (maxx <= mp["RR"]){
        maxx = mp["RR"];
        pairOf[maxx].push_back("RR");
    }
    if (maxx <= mp["RB"]){
        maxx = mp["RB"];
        pairOf[maxx].push_back("RB");
    }
    if (maxx <= mp["BB"]){
        maxx = mp["BB"];
        pairOf[maxx].push_back("BB");
    }
    if (maxx <= mp["GG"]){
        maxx = mp["GG"];
        pairOf[maxx].push_back("GG");
    }
    if (maxx <= mp["BG"]){
        maxx = mp["BG"];
        pairOf[maxx].push_back("BG");
    }
    if (maxx <= mp["RG"]){
        maxx = mp["RG"];
        pairOf[maxx].push_back("RG");
    }


    for(auto & i : pairOf[maxx]){
        cout << i << endl;
    }



    return 0;
}
