#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
bool isgood(vector <long long> &a, long long b, long long m, long long k) {
    long long cnt = 0;
    for (int i = 0; i < k; i++) {
        if (a[i] <= b) {
            cnt++;
        }
    }
    if (cnt < m) {
        return false;
    }
    for (long long i = 0; i < a.size() - k; i++) {
        if (a[i] <= b) {
            cnt--;
        }
        if (a[i + k] <= b) {
            cnt++;
        }
        if (cnt < m) {
            return false;
        }
    }
    return true;
}
int main() {
    ios::sync_with_stdio(false);
    cin.tie();
    long long n, k, m;
    cin >> n >> k >> m;
    vector <long long> a(n);
    vector <long long> b(n);
    for (long long i = 0; i < n; i++) {
        cin >> a[i];
        b[i] = a[i];
    }
    sort(b.begin(), b.end());
    long long l = b[0] - 1, r = b[n - 1], mid;
    while (r - l > 1) {
        mid = (l + r) / 2;
        if (isgood(a, mid, m, k)) {
            r--;
        }
        else {
            l++;
        }
    }
    long long min_b = l + 1, ans = 0;
    for (long long i = 0; i < n; i++) {
        if (a[i] > min_b) {
            ans += a[i];
        }
    }
    ans -= min_b;
    cout << ans;
}