package com.company;

import java.util.ArrayDeque;
import java.util.Arrays;
import java.util.Scanner;

public class Main6 {

    public static void main(String[] args) {
        Scanner s = new Scanner(System.in);
        int n = s.nextInt();
        int k = s.nextInt();
        int m = s.nextInt();

        int[] cells = new int[n];

        for (int i = 0; i < n; i++) {

            cells[i] = s.nextInt();

        }

        int max = Integer.MIN_VALUE;
        int max_index = Integer.MAX_VALUE;

        for (int i = 0; i < cells.length; i++) {

            if(cells[i]<=max_index) {

                int[] temp = cells.clone();

                for (int j = 0; j < cells.length; j++) {

                    if (temp[j] <= cells[i]) temp[j] = 0;

                }

                if (check(k, m, temp) && Arrays.stream(temp).sum() - cells[i] > max) {
                    max = Arrays.stream(temp).sum() - cells[i];
                    max_index = cells[i];
                }

            }

        }

        System.out.println(max);

    }

    public static boolean check(int k, int m, int[] cells) {

        ArrayDeque<Integer> a = new ArrayDeque<>();

        for (int i = 0; i < k; i++) {

            a.add(cells[i]);

        }

        int r = 0;

        for (int i = 0; i < k; i++) {

            if(a.stream().toList().get(i) == 0) r++;

        }

        if(r<m) return false;

        for (int i = k; i < cells.length; i++) {

            if(a.removeFirst()==0) r--;
            a.add(cells[i]);
            if(cells[i] == 0) r++;

            if(r<m) return false;

        }

        return true;

    }

}
