import java.util.Scanner;

public class D {

    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        int n = Integer.parseInt(scanner.nextLine());
        int[][] count = new int[3][3];
        for (int i = 0; i < n; i++) {
            String word = scanner.nextLine();
            for (int j = 0; j < word.length(); j++) {
                int index = getIndex(word.charAt(j)), next = getIndex(word.charAt(j == word.length() - 1 ? 0 : j + 1));
                count[index][next]++;
                if (index != next) count[next][index]++;
            }
        }
        int max = -1;
        for (int i = 0; i < 3; i++) {
            for (int j = i; j < 3; j++) {
                int c = count[i][j];
                if (max == -1 || c > max) max = c;
                if (c == max) System.out.println(getByIndex(i) + "" + getByIndex(j));
            }
        }
    }

    private static int getIndex(char c) {
        return c == 'R' ? 0 : c == 'G' ? 1 : 2;
    }

    private static char getByIndex(int index) {
        return index == 0 ? 'R' : index == 1 ? 'G' : 'B';
    }

}
