#include <iostream>
#include <vector>
#include <map>
#include <string>
using namespace std;

inline int to(char t)
{
    switch(t)
    {
        case 'R': return 0;
        case 'G': return 1;
        case 'B': return 2;
    }
}

inline char from(int t)
{
    switch(t)
    {
        case 0: return 'R';
        case 1: return 'G';
        case 2: return 'B';
    }
}

int main()
{
    int n;
    cin >> n;

    vector<vector<int>> v(3, vector<int>(3));
    for(int i = 0; i < n; i++)
    {
        string s;
        cin >> s;

        for(int j = 0; j < s.size(); j++)
        {
            int next = (j+1)%s.size();
            v[to(s[j])][to(s[next])]++;
        }
    }

    int m = 0;
    for(int i = 0; i < 3; i++)
    {
        for(int j = 0; j < 3; j++)
        {
            int num = i == j? v[i][j] : v[i][j]+v[j][i];
            m = max(num, m);
        }
    }

    for(int i = 0; i < 3; i++)
    {
        for(int j = i; j < 3; j++)
        {
            int num = i == j? v[i][j] : v[i][j]+v[j][i];
            if(num == m)
            {
                cout << from(i) << from(j) << "\n";
            }
        }
    }
}