#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <map>
#include <set>
#include <cmath>
#include <chrono>
using namespace std;

vector<pair<int,int>> prost(int n) {
    vector<pair<int,int>> ans;
    for (int i=2;i<=sqrt(n);i++) {
        int num = 0;
        while (n%i==0) {
            n/=i;
            num++;
        }
        if (num>0) {
            pair<int,int> p(i,num);
            ans.push_back(p);
        }
    }
    if (n!=1) {
        pair<int,int> p(n,1);
        ans.push_back(p);
    }
    return ans;
}
static long long int counter = 0;
void recursion(int numofminuses,vector<pair<int,int>>& p,vector<int>& curr,set<vector<int>>& s,vector<vector<int>>& ans) {
    if (numofminuses==0) {
        sort(curr.begin(),  curr.end());
        for (int i=0;i<p.size();i++) {
            for (int j = 0;j<p[i].second;j++) {
                curr.push_back(p[i].first);
            }
        }

        if (s.emplace(curr).second) {
            ans.push_back(curr);

        }
        counter+=1;
        return;
    }
    for (int i=0;i<p.size();i++) {
        if (p[i].second>0) {
            vector<int> extra(curr);
            curr.push_back(-p[i].first);
            p[i].second-=1;
            recursion(numofminuses-1,p,curr,s,ans);
            p[i].second+=1;
            curr = extra;
        }
    }
}

int main() {
    ios::sync_with_stdio(0);
    int n;
    cin>>n;
    vector<pair<int,int>> p ;
    if (n>0) {
        p= prost(n);
    } else {
        p = prost(-n);
    }
    int num = 0;
    for (int i=0;i<p.size();i++) {
        num+=p[i].second;
    }
    if (num%2==1 && n>0) {
        num-=1;
    }
    if (num%2==0 && n<0) {
        num-=1;
    }
    int k = 0;
    if (n<0) {
        k=1;
    }
    set<vector<int>> s;
    vector<vector<int>> ans;
    for (int i=k;i<=num;i+=2) {
        vector<int> curr;
        recursion(i,p,curr,s,ans);
    }
    for (int i=0;i<ans.size();i++) {
        for (int j = 0;j<ans[i].size();j++) {
            cout<<ans[i][j]<<' ';
        }
        cout<<endl;
    }

}