﻿#define _CRT_SECURE_NO_WARNINGS
#include <algorithm>
#include <bitset>
#include <cstring>
#include <cstdio>
#include <cmath>
#include <cctype>
#include <cassert>
#include <climits>
#include <ctime>
#include <iostream>
#include <iomanip>
#include <functional>
#include <map>
#include <string>
#include <queue>
#include <stack>
#include <set>
#include <unordered_set>
#include <unordered_map>
#include <vector>
#include <array>
#include <random>

//#pragma GCC optimize("Ofast")
//#pragma GCC target("avx,avx2,fma")
//#pragma GCC optimization ("O3")
//#pragma GCC optimization ("unroll-loops")
using namespace std;

#define all(x) x.begin(), x.end()
#define int long long

template <class T>
istream& operator >>(istream& in, vector<T>& arr) {
	for (T& cnt : arr) {
		in >> cnt;
	}
	return in;
}

const int INF = 1e18;

void solve() {
	int n, a, b; cin >> n >> a >> b;
	int k = n / 2;
	vector<vector<bool>> used(n, vector<bool>(n));
	for (int i = 0; i < n; i++) {
		for (int j = 0; j < n; j++) {
			if (abs(i - k) + abs(j - k) > b) used[i][j] = 1;
		}
	}
	int num = 1;
	for (int i = k - a + 1; i <= k; i++) {
		for (int j = k - num / 2; j < k - num / 2 + num; j++) 
			used[i][j] = 1;
		num += 2;
	}
	num -= 4;
	for (int i = k + 1; i <= k + a - 1; i++) {
		for (int j = k - num / 2; j < k - num / 2 + num; j++) 
			used[i][j] = 1;
		num -= 2;
	}
	for (int i = 0; i < n; i++) {
		for (int j = 0; j < n; j++) {
			if (!used[i][j]) cout << "*";
			else cout << ".";
		}
		cout << '\n';
	}
}

signed main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
	//freopen("power.in", "r", stdin);
	//freopen("power.out", "w", stdout);
	int _t = 1; //cin >> _t;
	while (_t--) {
		solve();
		//gen();
	}

}