#include <vector>
#include <iostream>
#include <algorithm>
#include<set>
#include<map>
#include <cmath>
using namespace std;
#define all(a) a.begin(), a.end()
vector< vector<bool> > poss;

int min_d(int v) {
    for (int i = 2; i <= sqrt(v); i++)
        if (v % i == 0) return i;
    return v;
}

void genchet(vector<bool> curr, int len, int clen = 1) {
    if (len == clen) {
        if(count(all(curr), true) % 2 == 0) {
            poss.push_back(curr);
        }
        return;
    }
    curr.push_back(false);
    genchet(curr, len, clen + 1);
    curr.pop_back();
    curr.push_back(true);
    genchet(move(curr), len, clen + 1);
}

void genNEchet(vector<bool> curr, int len, int clen = 1) {
    if (len == clen) {
        if(count(all(curr), true) % 2 == 1) {
            poss.push_back(curr);
        }
        return;
    }
    curr.push_back(false);
    genNEchet(curr, len, clen + 1);
    curr.pop_back();
    curr.push_back(true);
    genNEchet(move(curr), len, clen + 1);
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    int n;
    cin >> n;
    bool neg = n < 0;
    n = abs(n);
    vector<int> del;
    while (n > 0) {
        int next = min_d(n);
        if (n == next) {
            del.push_back(n);
            n = 0;
        } else {
            del.push_back(next);
            n /= next;
        }
    }

    sort(all(del));
    if (!neg)
    genchet({}, del.size(), 0);
    else
    genNEchet({}, del.size(), 0);

    set<map<int, int>> was;
    vector<int> now(del.size());
    for (auto perm : poss) {
        for (int i = 0; i < del.size(); i++)
            now[i] = del[i];
        map<int, int> m;
        for (int i = 0; i < perm.size(); i++) {
            if (perm[i]) {
                now[i] *= -1;
                m[now[i]] += 1;
            }
        }
        if (was.find(m) != was.end())
            continue;

        was.insert(m);
        for (auto e : now) cout << e << ' ';
        cout << endl;
    }
}
