﻿#include <map>
#include <cmath>
#include <set>
#include <algorithm>
#include <vector>
#include <queue>
#include <iostream>
#include <string>
#include <fstream>
using namespace std;
typedef long long ll;
typedef long double ld;

set<vector<ll>> st;



void f(vector<ll>& vec, vector<ll>& mn, ll p, ll n, ll t, ll h) {
    if (p == n) {
        sort(vec.begin(), vec.end());
        st.insert(vec);
        return;
    }
    if (vec.size() == h) {
        return;
    }

    vec.push_back(mn[t]);
    f(vec, mn, p * mn[t], n, t + 1, h);
    vec.pop_back();


    vec.push_back(-mn[t]);
    f(vec, mn, -p * mn[t], n, t + 1, h);
    vec.pop_back();
    return;
}


int main()
{
    ll n;
    cin >> n;
    ll n1 = abs(n);
    vector<ll> mn;
    ll h = 0;
    for (int i = 2; i * i <= n1; i++) {
        while (n1 % i == 0) {
            mn.push_back(i);
            h++;
            n1 = n1 / i;
        }
    }
    if (n1 != 1) {
        mn.push_back(n1);
        h++;
    }
    sort(mn.begin(), mn.end());
    vector<ll> vec;
    f(vec, mn, 1, n, 0, h);


    for (set<vector<ll>>::iterator it = st.begin(); it != st.end(); it++) {
        vector<ll> p = *it;
        for (int i = 0; i < p.size(); i++) {
            cout << p[i] << " ";
        }
        cout << endl;
    }

}