from copy import copy

n = int(input())
a, b = int(input()), int(input())
table = [copy(["."] * n) for _ in range(n)]
center = n // 2
if a == 0:
    table[center][center] = "*"
firstposes = [(center, center - i) for i in range(a, b + 1)]

for i in firstposes:
    y, x = i
    while x != center:
        table[y][x] = "*"
        y -= 1
        x += 1
    while y != center:
        table[y][x] = "*"
        y += 1
        x += 1
    while x != center:
        table[y][x] = "*"
        y += 1
        x -= 1
    while y != center:
        table[y][x] = "*"
        y -= 1
        x -= 1

print("\n".join(map(lambda x: "".join(x), table)))
