def expand(cords):
    res = set()
    for x,y in cords:
        res.add((x,y+1))
        res.add((x,y-1))
        res.add((x+1, y))
        res.add((x-1, y))
    return res


n, a, b = int(input()), int(input()), int(input())
k = n // 2
center = {(k, k)}
matrix = [['.' for _ in range(n)] for _ in range(n)]
matrix[k][k] = '*'

stars = center
was = set()
for _ in range(b):
    new = expand(stars - was)
    for i, j in new - was: matrix[i][j] = '*'
    was |= stars
    stars = new

del stars
del was

blanks = center
was = set()
for _ in range(a):
    for i, j in blanks - was: matrix[i][j] = '.'
    new = expand(blanks - was)
    was |= blanks
    blanks = new

del blanks
del was

for line in matrix:
    print(''.join(line))