#include <iostream>
#include <vector>
using namespace std;

vector<pair<long long, long long>> primes;
bool neg = false;

void gen(vector<long long> colneg, bool bc) {
	int s = colneg.size();
	if(s == primes.size()) {
		if(bc != neg) return;
		for(int i = 0; i < s; i++) {
			for(int j = 0; j < colneg[i]; j++) cout << -primes[i].first << ' ';
			for(int j = colneg[i]; j < primes[i].second; j++) cout << primes[i].first << ' ';
		}
		cout << '\n';
		return;
	}
	vector<long long> col2 = colneg;
	col2.push_back(0);
	for(; col2.back() <= primes[s].second; col2.back()++) {
		gen(col2, bc ^ (col2.back() & 1));
	}
}

int main() {
	long long n;
	cin >> n;
	neg = (n < 0);
	int num = n = abs(n);
	vector<bool> ear(n+1);
	for(long long i = 2; i <= n; i++) {
		if(!ear[i]) {
			for(long long j = i; j <= n; j+=i) ear[i] = true;
			while(num % i == 0) {
				if(primes.empty() || primes.back().first != i) {
					primes.emplace_back(i, 1);
				} else {
					primes.back().second++;
				}
				num /= i;
			}
		}
	}
	if(primes.size() == 1 && primes[0].second == 1) {
		cout << ((neg) ? -primes[0].first : primes[0].first) << '\n';
		return 0;
	}
	gen({}, 0);
}