import itertools

num = int(input())
primes_cache = set()

def is_prime(num):
    if num in primes_cache:
        return True
    for x in range(2, num):
        if num % x == 0:
            return False
    else:
        primes_cache.add(num)
        return True

def make_simple():
    for i in itertools.count(2):
        if is_prime(i):
            yield i


part = num
parts = []
primes_gen = iter(make_simple())
while part not in {-1, 1}:
    current_prime = next(primes_gen)
    while part % current_prime == 0:
        parts.append(current_prime)
        part /= current_prime


old_parts = parts.copy()
for part in old_parts:
    parts.append(-part)

exists_comb = set()
for combs in itertools.combinations(parts, len(parts) // 2):
    start = 1
    for comb in combs:
        start *= comb

    if start == num and combs not in exists_comb:
        exists_comb.add(combs)
        print(*combs)

