#include <iostream>
#include <vector>
#include <set>
#include <map>
#include <algorithm>
#include <iomanip>

using namespace std;

int solve();

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

#ifdef DEBUG
    freopen("input.txt", "r", stdin);
        freopen("output.txt", "w", stdout);
#endif

        solve();
}


int solve(){
    int n;
    cin >> n;
    vector<vector<int>> a(3, vector<int> (3));
    for (int v = 0; v < n; v++) {
        string s;
        cin >> s;
        vector<int> a1;
        for (int i = 0; i < s.size(); i++) {
            char b = s[i];
            if (b == 'R') {
                a1.push_back(0);
            } else if (b == 'G') {
                a1.push_back(1);
            } else {
                a1.push_back(2);
            }
        }
        for (int i = 0; i < a1.size(); i++) {
            if (i != a1.size() - 1) {
                a[a1[i]][a1[i + 1]]++;
            } else {
                a[a1[i]][a1[0]]++;
            }
        }
    }
    int max = -1, k = 0;
    for (int i = 0; i < 3; i++){
        for (int j = k; j < 3; j++){
            if (i != j){
                a[i][j] += a[j][i];
            }
            if (a[i][j] > max){
                max = a[i][j];
            }
        }
        k++;
    }
    k = 0;
    for (int i = 0; i < 3; i++){
        for (int j = k; j < 3; j++){
            if (a[i][j] == max){
                if (i == 0){
                    cout << 'R';
                }
                else if (i == 1){
                    cout << 'G';
                }
                else if (i == 2){
                    cout << 'B';
                }
                if (j == 0){
                    cout << 'R';
                }
                else if (j == 1){
                    cout << 'G';
                }
                else if (j == 2){
                    cout << 'B';
                }
                cout << endl;
            }
        }
        k++;
    }
    return 0;
}
