#include <iostream>
#include <vector>
#include <set>
#include <map>
#include <algorithm>
#include <cmath>
#include <iomanip>

using namespace std;

int solve();

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

#ifdef DEBUG
    freopen("input.txt", "r", stdin);
        freopen("output.txt", "w", stdout);
#endif

        solve();
}

int solve(){
    int n, m, k;
    m--;
    cin >> n >> k >> m;
    vector<int> a(n);
    for (int &i : a){
        cin >> i;
    }
    int l = 0, r = 0;
    int max1 = INT32_MIN;
    multiset<int> b;
    while (r < a.size()){
        b.insert(a[r]);
        if (k == r - l + 1){
            auto p = b.begin();
            for (int j = 0; j < m - 1; j++){
                if (p != b.end())
                    p++;
            }
            max1 = max(max1, *p);
            while (a[l] != *p) {
                b.erase(b.find(a[l]));
                l++;
            }
        }
        else{
            r++;
        }
    }
    for (int &i : a){
        if (i <= max1) {
            i -= max1;
            if (i < 0) {
                i = 0;
            }
        }
    }

    long long sum = 0;
    for (int &i : a){
        sum += i;
    }
    cout << sum - max1;
    return 0;
}
