#include <iostream>
#include <string>
#include <string_view>
#include <map>

using namespace std;

int main() {

	int amount;
	map<string, int> beads{ {"RG", 0}, {"GB", 0}, {"RB", 0}, {"RR", 0}, {"GG", 0}, {"BB", 0} };

	cin >> amount;

	for (int i = 0; i < amount; ++i) {
		string bead;
		cin >> bead;
		string combination;

		combination = combination + bead[0] + bead[bead.length() - 1];

		if (combination == "GR") { combination = "RG"; }
		else if (combination == "BG") { combination = "BG"; }
		else if (combination == "BR") { combination = "RB"; }

		beads[combination] += 1;

		for (int j = 1; j < bead.length(); ++j) {

			combination = "";

			combination = combination + bead[j] + bead[j-1];

			if (combination == "GR") { combination = "RG"; }
			else if (combination == "BG") { combination = "BG"; }
			else if (combination == "BR") { combination = "RB"; }

			beads[combination] += 1;
		}
	}
    string maxKey = "";
    int maxValue = -1;

    for (const auto& x : beads) {
        if (x.second > maxValue) {
            maxValue = x.second;
            maxKey = x.first;
        }
    }
    cout << maxKey << endl;

    for (const auto& x : beads) {
        if (x.second == maxValue && x.first != maxKey) {
            cout << x.first << endl;
        }
    }

	return 0;
}