﻿#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;
using ll = long long;

#define MAX(a, b) (a > b ? a : b)

int n, k, m;
vector<int> a, b;

ll get(int v)
{
    ll l = 0, t = 0;
    for (int i = 0; i < n; i++)
    {
        if (a[i] > v)
            t += a[i];
        else
            l++;

        if (i >= k)
            if (a[i - k] <= v)
                l--;

        if (i >= k - 1)
            if (l < m)
                return -1;
    }

    return t;
}

int main()
{
    cin >> n >> k >> m;
    a.resize(n); b.resize(n);
    for (int i = 0; i < n; i++)
    {
        cin >> a[i];
        b[i] = a[i];
    }

    sort(b.begin(), b.end());
    int l = 0, r = n - 1;
    while (l < r)
    {
        int m = (r + l) / 2;
        if (get(b[m]) == -1)
        {
            l = m + 1;

            if (get(b[m + 1]) != -1)
            {
                l = m + 1;
                break;
            }
        }
        else
        {
            r = m;
        }
    }

    cout << get(b[l]) - b[l];
}

