#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

const long long INF = 10e10;

int n, k, m;
long long mx = -INF;
vector <long long> a;

bool f(long long x) {
    long long ost = 0;
    vector <long long> a2 = a;
    for (int i = 0; i < a2.size(); i++) {
        if (a2[i] <= x)
            a2[i] = 0;
        else
            ost += a2[i];
    }
    for (int i = 0; i <= a2.size() - k; i++) {
        int cnt = 0;
        for (int j = i; j < i + k; j++) {
            if (a2[j] == 0)
                cnt++;
        }
        if (cnt < m)
            return false;
    }
    if (ost - x > 0 && mx < ost - x) {
        mx = ost - x;
        return false;
    }
    else 
        return true;
}

int main()
{
    long long mn = INF, sm = 0;
    cin >> n >> k >> m;
    for (int i = 0; i < n; i++) {
        long long tmp;
        cin >> tmp;
        a.push_back(tmp);
    }
    long long left = 0, right = INF, mid;
    while (right - left > 1) {
        mid = (left + right) / 2;
        if (f(mid))
            right = mid;
        else
            left = mid;
    }
    if (mx != -INF) {
        cout << mx << endl;
    }
    else {
        long long ost = 0;
        vector <long long> a2 = a;
        for (int i = 0; i < a2.size(); i++) {
            if (a2[i] <= right)
                a2[i] = 0;
            else
                ost += a2[i];
        }
        cout << ost - right << endl;
    }
}