#include <iostream>
#include <vector>
#include <cmath>
#include <set>
#include <algorithm>


using namespace std;

vector<int> fact(int n) {
	vector<int> res;
	for (int i = 2; i * i <= n; i++) {
		while (n % i == 0) {
			n /= i;
			res.push_back(i);
		}
	}
	if (n > 1) {
		res.push_back(n);
	}
	return res;
}

bool is_prime(int n) {
	for (int i = 2; i * i <= n; i++) {
		if (n % i == 0 and n != 2 and n != 1) {
			return false;
		}
	}
	return true;
}
int main() {
	int n;
	cin >> n;
	vector<int> a = fact(fabs(n));
	int k = a.size();
	set<vector<int>> s;
	if (n >= 0) {
		int t = 0;
		while (t <= k) {
			vector<int> p(k, 0);
			for (int i = 0; i < t; i++) {
				p[i] = 1;
			}
			for (int e = 0; e < 10000; e++) {
				vector<int> a1 = a;
				int y = 0;
				for (int i = 0; i < k; i++) {
					if (p[i] == 1) {
						y++;
					}
				}
				if (y > t) {
					continue;
				}
				for (int i = 0; i < k; i++) {
					if (p[i] == 1) {
						a1[i] *= -1;
					}
				}
				next_permutation(p.begin(), p.end());
				sort(a1.begin(), a1.end());
				s.insert(a1);
			}
			t += 2;
		}
		for (auto e : s) {
			for (int i = 0; i < k; i++) {
				cout << e[i] << ' ';
			}
			cout << '\n';
		}
	}
	else {
		int t = 1;
		while (t <= k) {
			vector<int> p(k, 0);
			for (int i = 0; i < t; i++) {
				p[i] = 1;
			}
			for (int e = 0; e < 10000; e++) {
				vector<int> a1 = a;
				int y = 0;
				for (int i = 0; i < k; i++) {
					if (p[i] == 1) {
						y++;
					}
				}
				if (y > t) {
					continue;
				}
				for (int i = 0; i < k; i++) {
					if (p[i] == 1) {
						a1[i] *= -1;
					}
				}
				next_permutation(p.begin(), p.end());
				sort(a1.begin(), a1.end());
				s.insert(a1);
			}
			t += 2;
		}
		for (auto e : s) {
			for (int i = 0; i < k; i++) {
				cout << e[i] << ' ';
			}
			cout << '\n';
		}
	}

/* 
1 TEST
	12 
	////
	2 2 3
	-2 2 -3
	-2 -2 3
*/

}
 