#include <iostream>
#include <vector>
#include <string>
#include <set>

using namespace std;
#define int long long
#define endl "\n"
#define VC vector<char>
#define VVC vector<VC>
#define VI vector<int>
#define VVI vector<VI>
#define PAR pair<int,int>
#define VP vector<PAR>
#define SP set<PAR>
#define x first
#define y second


VI raslozi(int n){
    VI res;
    for(int i=2;i*i<=n;++i){
        while(n%i==0){
            res.push_back(i);
            n/=i;
        }
    }
    if(n!=1){
        res.push_back(n);
    }
    return res;
}

bool in(int mask,int i){
    return (mask>>i)&1;
}

int count(int mask){
    int res=0;
    while(mask){
        res+=mask&1;
        mask>>=1;
    }
    return res;
}

signed main() {
    int n;
    cin>>n;
    VI rasl=raslozi(n);
    for(int mask=0;mask<(1<<(rasl.size()));++mask){
        if(count(mask)%2==0){
            for(int i=0;i<rasl.size();++i){
                if(in(mask, i)){
                    cout<<-rasl[i]<<' ';
                }
                else cout<<rasl[i]<<' ';
            }
            cout<<endl;
        }
    }
    return 0;
}