// olymp1.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include <vector>
#include <string>
using namespace std;

void quickSort(int* mas, int size)
{
    int i = 0, j = size - 1;
    int mid = mas[size / 2];

    do {
        while (mas[i] < mid)
            i++;
        while (mas[j] > mid)
            j--;

        if (i <= j) {
            int tmp = mas[i];
            mas[i] = mas[j];
            mas[j] = tmp;
            i++;
            j--;
        }

    } while (i <= j);

    if (j > 0)
        quickSort(mas, j + 1);
    if (i < size - 1)
        quickSort(&mas[i], size - i);

}

int main()
{
    int n;
    cin >> n;
    vector <string> vec(n);
    for (int i = 0; i < n; i++) {
       cin >> vec[i];
    }
    int count[6] = {0};
    string cS[6] = {"RR", "GG", "BB", "RG", "RB", "GB"};
    //vec.push_back(vec[0]);
    
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < vec[i].size() - 1; j++) {
            if ((vec[i][j] == 'R' && vec[i][j + 1] == 'R') || (vec[i][j] == 'R' && vec[i][j + 1] == 'R'))
                count[0] += 1;
            if ((vec[i][j] == 'G' && vec[i][j + 1] == 'G') || (vec[i][j] == 'G' && vec[i][j + 1] == 'G'))
                count[1] += 1;
            if ((vec[i][j] == 'B' && vec[i][j + 1] == 'B') || (vec[i][j] == 'B' && vec[i][j + 1] == 'B'))
                count[2] += 1;
            if ((vec[i][j] == 'R' && vec[i][j + 1] == 'G') || (vec[i][j] == 'G' && vec[i][j + 1] == 'R'))
                count[3] += 1;
            if ((vec[i][j] == 'R' && vec[i][j + 1] == 'B') || (vec[i][j] == 'B' && vec[i][j + 1] == 'R'))
                count[4] += 1;
            if ((vec[i][j] == 'G' && vec[i][j + 1] == 'B') || (vec[i][j] == 'B' && vec[i][j + 1] == 'G'))
                count[5] += 1;
        }
        if ((vec[i][0] == 'R' && vec[i][vec[i].size() - 1] == 'R') || (vec[i][0] == 'R' && vec[i][vec[i].size() - 1] == 'R'))
            count[0] += 1;
        if ((vec[i][0] == 'G' && vec[i][vec[i].size() - 1] == 'G') || (vec[i][0] == 'G' && vec[i][vec[i].size() - 1] == 'G'))
            count[1] += 1;
        if ((vec[i][0] == 'B' && vec[i][vec[i].size() - 1] == 'B') || (vec[i][0] == 'B' && vec[i][vec[i].size() - 1] == 'B'))
            count[2] += 1;
        if ((vec[i][0] == 'R' && vec[i][vec[i].size() - 1] == 'G') || (vec[i][0] == 'G' && vec[i][vec[i].size() - 1] == 'R'))
            count[3] += 1;
        if ((vec[i][0] == 'R' && vec[i][vec[i].size() - 1] == 'B') || (vec[i][0] == 'B' && vec[i][vec[i].size() - 1] == 'R'))
            count[4] += 1;
        if ((vec[i][0] == 'G' && vec[i][vec[i].size() - 1] == 'B') || (vec[i][0] == 'B' && vec[i][vec[i].size() - 1] == 'G'))
            count[5] += 1;
    }
    //for (int i = 0; i < 6; i++)
    //   cout << count[i] << "\n";
    int countSort[6];
    for (int i = 0; i < 6; i++)
        countSort[i] = count[i];
    quickSort(countSort, 6);
    for (int i = 0; i < 6; i++)
        if (countSort[5] == count[i])
            cout << cS[i]  << "\n";
}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file
