#include <bits/stdc++.h>

#define all(x) (x).begin(), (x).end()

#define int long long

using namespace std;

const int INF = 1e18;

bool get_fine(vector<int> & a, int var, int n, int k, int m) {
    vector<bool> takes(n);
    for (int i = 0; i < n; ++i) {
        takes[i] = (a[i] <= var);
    }

    int taken = 0;
    bool good = true;
    for (int i = 0; i < n; ++i) {
        taken += takes[i];
        if (i - k >= 0)
            taken -= takes[i - k];
        if (i + 1 >= k and taken < m) {
            return false;
        }
    }

    return true;
}

void solve() {
    int n, k, m;
    cin >> n >> k >> m;

    vector<int> a(n);
    for (int & e : a)
        cin >> e;

    unordered_map<int, int> cnt;
    int total_sum = 0;
    vector<int> vars;
    for (auto e : a) {
        vars.push_back(e);
        ++cnt[e];
        total_sum += e;
    }

    sort(all(vars));
    vars.resize(unique(all(vars)) - vars.begin());
    sort(all(vars));

    int left = -1, right = vars.size() - 1;
    while (left + 1 != right) {
        int mid = (left + right) / 2;

        if (get_fine(a, vars[mid], n, k, m))
            right = mid;
        else
            left = mid;
    }

    int sum_good = 0;
    for (int i : a)
        if (i > vars[right])
            sum_good += i;

    cout << sum_good - vars[right] << endl;
}

signed main() {
#ifdef LOCAL
freopen("in.txt", "r", stdin);
#endif // LOCAL

    solve();
}
