#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;


int main () {
    int n, k, m;
    cin >> n >> k >> m;
    vector<int> A(n);
    for (int i = 0; i < n; i++) cin >> A[i];
    vector<int> window(k);
    for (int i = 0; i < k; i++) window[i] = A[i];
    sort(window.begin(), window.end());
    int m_l = 0;
    int b_l = window[0];
    
    for (int i = 0; i < window.size(); i++) {
        int w = window[i];
        if (m_l < m && w >= b_l)
            b_l = w;
        if (w <= b_l)
            m_l += 1; 
    }
    
    for (int i = 1; i < A.size(); i++) {
        if (i + k > A.size()) break;
        
        int new_el = A[i+k-1];
        int old_el = A[i-1];
        if (new_el <= b_l) m_l += 1;
        if (old_el <= b_l) m_l -= 1;
        if (m_l < m) {
            vector<int> window_f; 
            for (int j = i; j < (i+k); j++) 
                if (A[j] > b_l)
                    window_f.push_back(A[j]);
            if (window_f.size() > 0) {
                sort(window_f.begin(), window_f.end());
                b_l = max(window_f[0], b_l);
                for (int j = 0; j < window_f.size(); j++) {
                    int w = window_f[j];
                    if (m_l < m && w >= b_l)
                        b_l = max(w, b_l);
                    if (w <= b_l)
                        m_l += 1; 
                }
            }
        }

    }

    int a = 0;
    for (int i = 0; i < n; i++) if (A[i] > b_l) a += A[i];
    cout << a - b_l << endl;



    return 0;
}