#include <iostream>
#include <vector>
#include <algorithm>
#include <math.h>
#include <queue>

using namespace std;


int k, m;
vector<int> a;
/*
8 4 2
3 7 4 1 5 9 2 6


 */
bool cal(int b) {
    queue<int> q;
    for (int i = 0; i < a.size(); ++i) {
        if (b >= a[i]) {
            q.push(i);
        }
        if (i >= k - 1) {
            if (q.size() < m) {
                return false;
            }
        }
        if (q.size() && q.front() + k <= i + 1) {
            q.pop();
        }
    }
    return true;
}

int main() {
    int n;
    cin >> n >> k >> m;
    a.resize(n);

    int mi = 0, ma = 1;
    for (int i = 0; i < n; ++i) {
        cin >> a[i];
        ma = max(ma, a[i] + 1);
    }

    while (mi + 1 < ma) {
        int middle = (mi + ma + 1) / 2;
        if (cal(middle)) {
            ma = middle;
        } else {
            mi = middle;
        }
    }
//    cout << ma;

    long long sum = 0;
    for (int i : a) {
        if (ma < i)
            sum += i;
    }
    cout << sum - ma;

    return 0;
}

