#if 1
#include <iostream>
#include <set>
#include <vector>
#include <algorithm>
using namespace std;

typedef long long ll;

template<typename Type>
void get_b_cnt(int& cnt, int& b, const int m, Type start, Type end)
{
    for (int i = 1; i < m; i++) start++;
    b = max(*start, b);
    cnt = m;
    start++;
    for (; (start != end) && (*start <= b); start++)
        cnt++;
}

int main()
{
    ios::sync_with_stdio(false); cout.tie(0); cin.tie(0);
    int n, k, m; cin >> n >> k >> m;
    vector<int> arr(n);
    for (int i = 0; i < n; ++i)
        cin >> arr[i];
    int cnt = 0, b = 0;
    multiset<int> sorted(arr.begin(), arr.begin() + k);
    get_b_cnt(cnt, b, m, sorted.begin(), sorted.end());

    for (int i = 1; i + k <= n; i++)
    {
        if (arr[i - 1] <= b)
            cnt--;
        if (arr[i + k - 1] <= b)
            cnt++;
        sorted.erase(arr[i - 1]);
        sorted.insert(arr[i + k - 1]);
        if (cnt < m)
            get_b_cnt(cnt, b, m, sorted.begin(), sorted.end());
    }

    ll ans = 0;
    for (int i = 0; i < n; i++)
        if (arr[i] > b)
            ans += arr[i];
    cout << ans - b << '\n';
    return 0;
}
#endif // 0
/*
8 4 2
3 7 4 1 5 9 2 6
*/
