#if 1
#include <iostream>
#include <map>
#include <vector>
#include <algorithm>
using namespace std;

typedef long long ll;

vector<int> sorted;

template<typename Type>
void get_b_cnt(int& cnt, int& b, const int m, Type start, Type end)
{
    copy(start, end, sorted.begin());
    sort(sorted.begin(), sorted.end());
    b = max(sorted[m - 1], b);
    cnt = m;
    for (int i = m; i < sorted.size(); ++i)
        cnt += sorted[i] <= b;
}

inline void remove_add(int add, int rem)
{
    int i = 0;
    if (rem == add)
        return;
    while (sorted[i] < rem)
        i++;
    if (sorted[i] < add)
    {
        while (i < sorted.size() - 1 && sorted[i + 1] < add)
            sorted[i] = sorted[i + 1], i++;
        sorted[i] = add;
    }
    else
    {
        while (i > 0 && sorted[i - 1] > add)
            sorted[i] = sorted[i - 1], i--;
        sorted[i] = add;
    }
}

int main()
{
    ios::sync_with_stdio(false); cout.tie(0); cin.tie(0);
    int n, k, m; cin >> n >> k >> m;
    vector<int> arr(n);
    for (int i = 0; i < n; ++i)
        cin >> arr[i];
    int cnt, b = 0;
    sorted.resize(k);
    vector<int> tmp_sort(arr);
    sort(tmp_sort.begin(), tmp_sort.end());
    b = tmp_sort[(n / k) * m];
    get_b_cnt(cnt, b, m, arr.begin(), arr.begin() + k);

    for (int i = 1; i + k <= n; i++)
    {
        if (arr[i - 1] <= b)
            cnt--;
        if (arr[i + k - 1] <= b)
            cnt++;
        if (cnt < m)
            get_b_cnt(cnt, b, m, arr.begin() + i, arr.begin() + i + k);
    }

    ll ans = 0;
    for (int i = 0; i < n; i++)
        if (arr[i] > b)
            ans += arr[i];
    cout << ans - b << '\n';
    return 0;
}
#endif // 0
/*
8 4 2
3 7 4 1 5 9 2 6
*/
