#include<iostream>
#include<vector>
#include<string>
#include<algorithm>
#include<numeric>
#include<map>

using namespace std;

int main() {
	int n, k, m;
	cin >> n >> k >> m;
	vector<int> a(n);
	for (auto& e : a) cin >> e;
	int l = -1, r = 1e9 + 1;
	while (r - l > 1) {
		int mid = (r + l) / 2;
		vector<int> used(n);
		for (int i = 0; i < n; ++i) used[i] |= a[i] <= mid;
		int cur = accumulate(used.begin(), used.begin() + k, 0);
		int ok = cur >= m;
		for (int i = k; i < n; ++i) {
			cur += used[i] - used[i - k];
			ok &= cur >= m;
		}
		if (ok) r = mid;
		else l = mid;
	}
	long long res = 0;
	for (int i = 0; i < n; ++i) {
		res += (a[i] > r ? a[i] : 0);
	}
	cout << res - r;
	return 0;
}