#include <bits/stdc++.h>
using namespace std;

#define forn(i, j, n, k) for (int i = j; i < (int)(n); i += (k))
#define rep(i, n) forn(i, 0, n, 1)
#define all(a) a.begin(), a.end()
#define rall(a) a.rbegin(), a.rend()
#define sz(a) a.size()
#define pb push_back
#define mp make_pair
#define fi first
#define se second
#define mod(a, b) (((b) + ((a) % (b))) % (b))


typedef long long ll;
typedef long double ld;
typedef unsigned long long ull;

const int MOD = (int)1e9 + 7;
const string da = "YES\n", net = "NO\n";
const int INF = (int)1e9;
const ll INFL = (ll)1e18;

template <typename T>
void print(const vector<T>& a){
    for (auto &x: a) cout << x << " ";
    cout << "\n";
}
template <typename U>
void print_queue(priority_queue<U, vector<U>, greater<U>> b){
    while (!b.empty()){
        cout << b.top() << " ";
        b.pop();
    }
    cout << "\n";
}

int n, k, m;
vector<int> a;

void solve(){
    map<int, int> cnt, rcnt;
    vector<int> tmp;
    for (int i = 0; i < k; i++){
        tmp.pb(a[i]);
    }
    sort(all(tmp));
    set<int> s;
    for (int i = 0; i < k; i++){
        s.insert(a[i]);
    }
    int tmx = tmp[m - 1];
    int mx = 0;
    for (int i = k; i < n; i++){
        s.erase(a[i - k]);
        s.insert(a[i]);
        if (a[i - k] == tmx){
            tmx = *s.lower_bound(a[i - k]);
            mx = max(tmx, mx);
        }
    }
    ll sum = 0;
    for (int i = 0; i < n; i++){
        if (a[i] > mx){
            sum += 1ll * a[i];
        }
    }
    cout << sum - mx << "\n";
}

void load(){
    cin >> n >> k >> m;
    a.assign(n, 0);
    rep(i, n){
        cin >> a[i];
    }
}

int main(){
    ios_base::sync_with_stdio(0);
    cout.tie(0);
    cin.tie(0);
    cout << fixed << setprecision(10);
    int zz = 1;
    //cin >> zz;
    for (int z = 1; z <= zz; z++){
        //cout << "test " << z << endl;
        load();
        solve();
    }
    return 0;  
}       