#include <iostream>
#include <vector>
#include <map>

using namespace std;

void f(map<int, int>& degree, vector<int>& nums, map<int, int>& use, int cur_num, int sum) {
    if (sum == 0) {
        for (int i = 0; i < nums.size(); i++) {
            for (int j = 0; j < use[nums[i]]; j++) {
                cout << nums[i] * -1 << " ";
            }
            for (int j = 0; j < degree[nums[i]] - use[nums[i]]; j++) {
                cout << nums[i] << " ";
            }
        }
        cout << endl;
        return;
    }
    if (cur_num >= nums.size()) {
        return;
    }
    if (sum > degree[nums[cur_num]]) {
        return;
    }
    for (int i = 0; sum - i >= 0 && i <= degree[nums[cur_num]]; i++) {
        use[nums[cur_num]] = i;
        f(degree, nums, use, cur_num + 1, sum - i);
        use[nums[cur_num]] = 0;
    }
}

int main() {
    cout.tie(NULL);
    ios_base::sync_with_stdio(NULL);
    int n, div = 2;
    cin >> n;
    int n1 = abs(n);
    map<int, int> degree;
    map<int, bool> have;
    vector<int> nums;
    int all = 0;
    while (n1 > 1){
        while (n1 % div == 0){
            degree[div]++;
            if (!have[div]) {
                nums.push_back(div);
                have[div] = true;
            }
            all++;
            n1 /= div;
        }

        if (div == 2) { 
            div++; 
        }
        else { 
            div += 2; 
        }
    }
    map<int, int> use;
    if (n < 0) {
        for (int i = 0; i * 2 + 1 <= all; i++) {
            f(degree, nums, use, 0, i * 2 + 1);
        }
    }
    else {
        for (int i = 0; i * 2 <= all; i++) {
            f(degree, nums, use, 0, i * 2);
        }
    }
    return 0;
}