#include <iostream>
#include <vector>

std::vector<int> pairs {0, 0, 0, 0, 0, 0};
std::vector<std::string> names {"BB", "RR", "GG", "RB", "GB", "GR"};

int getMax() {
    int max = pairs[0];
    int maxI = 0;
    for (int i = 0; i < 6; ++i) {
        if (pairs[i] > max) {
            std::cout << "max is now " << pairs[i] << '\n';
            max = pairs[i];
            maxI = i;
        }
    }
    return max;
}

void search() {
    int max = getMax();
    for (int i = 0; i < 6; ++i) {
        if (pairs[i] == max) {
            std::cout << names[i] << '\n';
        }
    }
}

void set(std::string pair) {
    if (pair == "BB") pairs[0] += 1;
    if (pair == "RR") pairs[1] += 1;
    if (pair == "GG") pairs[2] += 1;
    if (pair == "RB" || pair == "BR") pairs[3] += 1;
    if (pair == "GB" || pair == "BG") pairs[4] += 1;
    if (pair == "GR" || pair == "RG") pairs[5] += 1;
}

void solve() {
    int n;
    std::cin >> n;
    std::vector<std::string> data;
    
    for (int i = 0; i < n; ++i) {
        std::string sample;
        std::cin >> sample;
        data.push_back(sample);
    }

    for (int i = 0; i < n; ++i) {
        std::string word = data[i];
        for (int j = 0; j < word.size(); ++j) {
            if (j < (word.size() - 1)) { //!WARNING
                std::string pair = "";
                pair.push_back(word[j]);
                pair.push_back(word[j + 1]);
                set(pair);
            }
            if(j == word.size() - 1) {
                std::string pair = "";
                pair.push_back(word[j]);
                pair.push_back(word[0]);
                set(pair);
            }
        }
    }

    search();
}

int main() {
    solve();
    return 0;
}