def isPrime(n):
    for i in range(2,int(n**0.5)+2):
        if i < n and n%i==0:
            return False
    return True

def razl(n):
    ans = []
    e = 2
    while e * e <= n:
        if n % e == 0:
            ans.append(e)
            n //= e
        else:
            e += 1
    if n > 1:
        ans.append(n)
    return ans

n = int(input())

if n > 0:
    if isPrime(n):
        print(n, -n, sep = '\n')
else:
    if isPrime(-n):
        print(n, -n, sep = '\n')


