//
// Created by dannu on 13.12.2021.
//
#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
vector <int> tree;
vector <int> tADD;
vector <int> sums;


void push(int v, int vl, int vr) {
    if (tADD[v] != 0) {
        tree[v] += tADD[v];
        if (vr - vl > 1) {
            tADD[2 * v + 1] += tADD[v];
            tADD[2 * v + 2] += tADD[v];
        }
        tADD[v] = 0;
    }
}


void add_seg(int v, int vl, int vr, int l, int r, int value) {
    push(v, vl, vr);
    if (l <= vl && vr <= r) {
        tADD[v] += value;
        push(v, vl, vr);
        return;
    }
    if (vl >= r || vr <= l) {
        return;
    }
    int vm = (vl + vr) / 2;
    add_seg(2 * v + 1, vl, vm, l, r, value);
    add_seg(2 * v + 2, vm, vr, l, r, value);
    tree[v] = max(tree[2 * v + 1], tree[2 * v + 2]);
}


void solve() {
    int n, k, m; cin >> n >> k >> m;
    vector <int> a(n);
    vector <pair<int, int>> ts(n);
    for (int i = 0; i < n; i ++) {
        cin >> a[i];
        ts[i].first = a[i];
        ts[i].second = i;
    }
    sort(ts.begin(), ts.end());
    int x = n - k + 1;
    sums.resize(x);
    fill(sums.begin(), sums.end(), k);
    tree.resize(4 * x);
    tADD.resize(4 * x);
    fill(tree.begin(), tree.end(), k);

    for (int i = 0; i < n; i ++) {
        int cur = ts[i].second;
        int value = a[cur];
        while (i < n && ts[i].first == value) {
            cur = ts[i].second;
            a[cur] = 0;
            add_seg(0, 0, x, cur - k + 1, cur + 1, -1);
            i ++;
        }
        i --;
        push(0, 0, x);
        ll res = -ts[i].first;
        if (tree[0] <= (k - m)) {
            for (int j = 0; j < n; j ++) res += a[j];
            cout << res;
            return;
        }
    }
}


int main() {
    int t = 1;
    //cin >> t;
    while (t--) {
        solve();
        cout << '\n';
    }
}