import kotlin.math.absoluteValue

fun solveA() {
    val n = int()
    println("V".repeat(n / 5) + "I".repeat(n % 5))
}

fun solveB() {
    val k = int() / 2
    val a = int()
    val b = int()
    for (y in -k..k) {
        for (x in -k..k) {
            if ((x.absoluteValue + y.absoluteValue) in a..b) print('*') else print('.')
        }
        println()
    }
}

fun solveC() {
    val n = int()
    val trainings = intArr()
    var res = 0L
    for(i in 0 until n){
        val (was, became) = intArr()
        if(trainings[i] == 1) res += maxOf(became - was, 0)
    }
    println(res)
}

fun main() = solveC()

fun int() = readLine()!!.trim().toInt()
fun intArr() = readLine()!!.trim().split(" ").mapNotNull { if (it == "") null else it.toInt() }