from collections import defaultdict


def split_pattern(buz):
    ln = len(buz) - 1
    b = [defaultdict(int), defaultdict(int)]
    for step in [0, 1]:
        for pin in range(ln + 1)[::2]:
            foll = buz[ln - pin - 1 - step] + buz[ln - pin - step]
            b[step][''.join(sorted(foll))] += 1

    ignore = []
    for step in b[0].keys():
        book[step] += max(b[0][step], b[1][step])
        ignore.append(step)
    for step in b[1].keys():
        if step not in ignore:
            book[step] += max(b[0][step], b[1][step])


book = defaultdict(int)

for _ in range(int(input())):
    split_pattern(input())

out = []
m = max(book.values())
for i in book.keys():
    if book[i] == m:
        out.append(''.join(sorted(i)))

for i in set(out):
    print(i)
