﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Olimp
{
    class Class3
    {
        static void Main()
        {
            int n = int.Parse(Console.ReadLine());

            Dictionary<string, int> patterns = new Dictionary<string, int>();
            patterns.Add("RG", 0);
            patterns.Add("GB", 0);
            patterns.Add("BR", 0);
            patterns.Add("RR", 0);
            patterns.Add("GG", 0);
            patterns.Add("BB", 0);

            for (int i = 0; i < n; i++)
            {
                string str = Console.ReadLine();

                foreach (string pattern in patterns.Keys.ToArray())
                {
                    int count = GetCountFor(pattern, str);
                    patterns[pattern] += count;
                }
            }


            int maxCount = patterns.Values.Max();
            foreach (KeyValuePair<string, int> kv in patterns.Where(kv => kv.Value == maxCount))
            {
                Console.WriteLine(kv.Key);
            }
        }

        private static int GetCountFor(string pattern, string str)
        {
            int count = 0;

            for (int i = 1; i <= str.Length; i++)
            {
                char leftChar = str[i - 1];
                char rightChar = i == str.Length ? str[0] : str[i];

                if ((leftChar == pattern[0] && rightChar == pattern[1]) || (leftChar == pattern[1] && rightChar == pattern[0]))
                {
                    count++;
                }
            }

            return count;
        }
    }
}
