#include<iostream>
#include<vector>
#include<string>
#include<cmath>
#include<algorithm>
#include<set>

#define ll long long
#define ld long double

using namespace std;

vector<vector<ll>> ans;

vector<vector<ll>> find_res(ll n, vector<ll>& p) {
	ll k = p.size();
	ll t = n;
	ll pr = p[k - 1];
	ll s = 0;
	while (t % pr == 0) {
		t /= pr;
		s++;
	}
	p.pop_back();
	vector<vector<ll>> res(s + 1, vector<ll>(s, pr));
	for (ll i = 0; i < s + 1; i++) {
		for (ll j = 0; j < i; j++) res[i][j] = -pr;
	}
	if (t == 1) return res;
	if (t == -1) {
		vector<vector<ll>> res4;
		for (ll i = 1; i < s + 1; i += 2) res4.push_back(res[i]);
		return res4;
	}
	vector<ll> p1 = p;
	vector<ll> p2 = p;
	vector<vector<ll>> res2 = find_res(t, p1);
	vector<vector<ll>> res3 = find_res(-t, p2);
	vector<vector<ll>> ans;
	for (ll i = 0; i < s + 1; i++) {
		if (i % 2 == 0) {
			for (vector<ll> j : res2) {
				vector<ll> kk;
				for (ll r : res[i]) kk.push_back(r);
				for (ll r : j) kk.push_back(r);
				ans.push_back(kk);
			}
		}
		else {
			for (vector<ll> j : res3) {
				vector<ll> kk;
				for (ll r : res[i]) kk.push_back(r);
				for (ll r : j) kk.push_back(r);
				ans.push_back(kk);
			}
		}
	}
	return ans;
}

int main() {
	ll n;
	cin >> n;
	vector<ll> primes = { 2, 3, 5 };
	ll kp = 3;
	vector<ll> a;
	for (ll i = 7; i * i <= n; i++) {
		ll t = 0;
		while (t < kp && i % primes[t] != 0) t++;
		if (t == kp) {
			kp++;
			primes.push_back(i);
		}
	}
	ll tr = n;
	for (ll i = 0; i < kp; i++) if (n % primes[i] == 0) {
		a.push_back(primes[i]);
		while (tr % primes[i] == 0) tr /= primes[i];
	}
	if (tr > 1) a.push_back(tr);
	/*for (ll i : primes) cout << i << " ";
	cout << endl;*/
	vector<vector<ll>> ans = find_res(n, a);
	for (vector<ll> i : ans) {
		ll rf = 1;
		for (ll j : i) rf *= j;
		if (rf == n) {
			for (ll j : i) cout << j << " ";
			cout << endl;
		}
	}
}