#include <iostream>
#include <vector>
#include <math.h>

using namespace std;

int main() {
    int n; cin >> n;

    vector<int> divisors;
    int m = n;
    for (int i = 2; i < ((int) sqrt(n)) + 1; i++) {
        if (m % i == 0) {
            divisors.push_back(i);
            m /= i;
            i--;
        }
    }

    int sign = 1 - (abs(n) / n + 1) / 2;

    int k = divisors.size();
    vector<int>  signs(k + 1);
    while (signs[k] < 1) {
        signs[0]++;
        for (int i = 0; i < k; i++) {
            if (signs[i] > 1) {
                signs[i] = 0;
                signs[i + 1]++;
            }
        }


        int s = 0;
        for (int i = 0; i < k; i++) {
            s += signs[i];
        }

        if (s % 2 == sign) {
            for (int i = 0; i < k; i++) {
                cout << (signs[i] ? -1 : 1) * divisors[i] << " ";
            }
            cout << endl;
        }
    }
}
