#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>

using namespace std;

vector<pair<int,int> > r;

void rec(vector<int> g, int l, int op){
    //cout << l << "\n";
    if(l == r.size() && op == 0){
        for(int i = 0; i < r.size(); ++i){
            for(int j = 0; j < g[i]; ++j){
                cout << -r[i].first << " ";
            }
            for(int j = 0; j < r[i].second - g[i]; ++j){
                cout << r[i].first << " ";
            }
        }
        cout << "\n";
    }else{
       if(l < r.size()){
         for(int i = 0; i < r[l].second; ++i){
            rec(g, l+1, op);
            op = 1 - op;
            g[l] ++;
         }
         rec(g, l+1, op);
       }
    }
    return;
}

int main()
{
    long long int n;
    cin >> n;
    int op;
    if(n > 0){
       op = 0;
    }else{
       op = 1;
    }
    n = abs(n);
    for(int i = 2; i <= sqrt(n); ++i){
        int x = 0;
        while(n%i == 0){
            x ++;
            n /= i;
        }
        if(x > 0){
            r.push_back({i, x});
        }
    }
    if(n > 1){
        r.push_back({n, 1});
    }
    vector<int> g(r.size(), 0);
    //cout << 1;
    rec(g, 0, op);
    return 0;
}
