#include <iostream>
#include <string>
#include <vector>
using namespace std;
#define ll long long

int n = 0, k = 0, m = 0;
vector<ll> a(n);
inline bool check(int nom) {
    for (int i = 0; i + k <= n; i++) {
        int cnt = 0;
        for (int j = 0; j < k; j++) {
            if (a[i + j] <= nom)
                cnt++;
        }
        if (cnt < m)
            return false;
    }
    return true;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin >> n;
    cin >> k >> m;
    a.resize(n);
    ll mx = 0;
    for (int i = 0; i < n; i++) {
        cin >> a[i];
        mx = max(mx, a[i]);
    }

    int l = 0, r = mx + 1;
    while (r - l > 1) {
        int mid = (l + r) / 2;
        //cout << l << " " << mid << " " << r << "\n";
        if (check(mid))
            r = mid;
        else
            l = mid;
    }
    //cout << r;
    ll res = - r;
    for (auto el : a) {
        if (el > r)
            res += el;
    }
    cout << res;
    return 0;
}