#include <iostream>
#include <vector>
#include <string>
#include <cmath>
#include <algorithm>
using namespace std;
bool isgood(vector <int> a, int b, int m, int k) {
    int cnt;
    for (int i = 0; i < a.size() - k + 1; i++) {
        cnt = 0;
        for (int j = i; j < k + i; j++) {
            if (a[j] <= b) {
                cnt++;
            }
        }
        if (cnt < m) {
            return false;
        }
    }
    return true;
}
int main() {
    int n, k, m;
    cin >> n >> k >> m;
    vector <int> a(n);
    vector <int> b(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
        b[i] = a[i];
    }
    sort(b.begin(), b.end());
    int l = b[0] - 1, r = b[n - 1], mid;
    while (r - l >= 1) {
        mid = (l + r) / 2;
        if (isgood(a, mid, m, k)) {
            r--;
        }
        else {
            l++;
        }
    }
    int min_b = l, ans = 0;
    for (int i = 0; i < n; i++) {
        if (a[i] > min_b) {
            ans += a[i];
        }
    }
    ans -= min_b;
    cout << ans;
}