package com.company;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Objects;
import java.util.Scanner;

public class Main5 {

    public static void main(String[] args) {
        Scanner s = new Scanner(System.in);
        int n = s.nextInt();
        ArrayList<Integer> p = toPrimes(Math.abs(n));

        print(p);

        if (toQ(p) != null) {
            for (ArrayList<Integer> pq : toQ(p)) {

                print(pq);

            }
        }

    }

    public static void print(ArrayList<Integer> a) {

        for (int i = 0; i < a.size(); i++) {

            System.out.print(a.get(i) + " ");

        }

        System.out.println();

    }

    public static ArrayList<Integer> toPrimes(int x) {

        ArrayList<Integer> res = new ArrayList<>();

        for (int i = 2; ; i++) {

            if (x < 2) return res;

            if (x % i == 0) {
                res.add(i);
                break;
            }

        }

        res.addAll(toPrimes(x / res.get(0)));

        return res;

    }

    public static ArrayList<ArrayList<Integer>> toQ(ArrayList<Integer> input) {

        if (input.size() >= 2) {

            ArrayList<ArrayList<Integer>> res = new ArrayList<>();
            ArrayList<Integer> a = (ArrayList<Integer>) input.clone();

            for (int i = 0; i < a.size(); i++) {

                a = (ArrayList<Integer>) input.clone();

                for (int j = i + 1; j < a.size(); j++) {

                    a.set(i, a.get(i) * -1);
                    a.set(j, a.get(j) * -1);
                    if (i == 0 || Objects.equals(a.get(i - 1), a.get(i))) res.add(a);
                    a = (ArrayList<Integer>) input.clone();

                }

            }

            return res;

        }

        return null;

    }

}
