import java.util.*;

public class Main {

    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        int n = scanner.nextInt();
        int[] mass = new int[6];

        for (int i = 0; i < n; i++) {
            String s = scanner.next();
            for (int j = 0; j < s.length() - 1; j++) {
                String c = s.substring(j, j + 2);
                switch (c) {
                    case "RR":
                        mass[0]++;
                        break;
                    case "GG":
                        mass[1]++;
                        break;
                    case "BB":
                        mass[2]++;
                        break;
                    case "RG":
                    case "GR":
                        mass[3]++;
                        break;
                    case "RB":
                    case "BR":
                        mass[4]++;
                        break;
                    default:
                        mass[5]++;
                }
            }
            String c = s.charAt(0) + s.substring(s.length() - 1);
            switch (c) {
                case "RR":
                    mass[0]++;
                    break;
                case "GG":
                    mass[1]++;
                    break;
                case "BB":
                    mass[2]++;
                    break;
                case "RG":
                case "GR":
                    mass[3]++;
                    break;
                case "RB":
                case "BR":
                    mass[4]++;
                    break;
                default:
                    mass[5]++;
            }
        }

        Arrays.stream(mass).sorted();

        for (int i = 0; i < 6; i++) {
            if (mass[i] == mass[0]){
                switch (i){
                    case 0:
                        System.out.println("RR");
                        break;
                    case 1:
                        System.out.println("GG");
                        break;
                    case 2:
                        System.out.println("BB");
                        break;
                    case 3:
                        System.out.println("RG");
                        break;
                    case 4:
                        System.out.println("RB");
                        break;
                    default:
                        System.out.println("GB");
                }
            }
        }
    }
}
