package com.company;

import java.util.ArrayList;
import java.util.Scanner;

public class Main {

    public static ArrayList<Integer> FindDividers(int n) {
        ArrayList<Integer> ans = new ArrayList<>();
        double sqrt = Math.sqrt(n);
        int currentValue = n;
        int multiplier = 2;
        while (currentValue > 1 && multiplier <= sqrt) {
            if (currentValue % multiplier == 0) {
                ans.add(multiplier);
                currentValue /= multiplier;
            } else if (multiplier == 2) {
                multiplier++;
            } else {
                multiplier += 2;
            }
        }
        if (currentValue != 1) {
            ans.add(currentValue);
        }
        return ans;
    }


    public static void main(String[] args) {
        Scanner s = new Scanner(System.in);
        int n = s.nextInt();
        ArrayList<Integer> dividers = FindDividers(Math.abs(n));
        for (int i = 0; i <dividers.size() ; i++) {
            System.out.print(dividers.get(i)+" ");
        }
    }
}
