﻿program roman;
const alphabet = 'IVXLCDM';
// I = 1
// V = 5
// X = 10
// L = 50
// C = 100
// D = 500
// M = 1000
var num:integer;

//Function
function power(n,a:integer):integer; //n to the power of a
var temp:integer;
begin
  if (a<>0)then begin
  temp:=n;
  for var i:=1 to a-1 do
    n*=temp;
  Result:=n;
  end
  else Result:=1;
end;

//Function
function numLength(n:integer):integer;
var count:integer;
begin
  count:=0;
  while n>0 do begin
   count+=1;
   n:=n div 10;
  end;
  Result:=count;
end;

//Function
function convertToRoman(n:integer):string;
var temp,len:integer;
    res:string;
begin
  res:='';
  len:=numLength(n);
  for var i:=1 to len do begin
    len:=numLength(n);
    temp:= n div (power(10,len-1)); 
    case numLength(n) of
      1: begin
        if (temp<=3) then for var j:=1 to temp do res+='I' else
        case temp of
          4: res+='IV';
          5: res+='V';
          6: res+='VI';
          7: res+='VII';
          8: res+='VIII';
          9: res+='IX';
        end;
      end;
      2: begin
        if (temp<=3) then for var j:=1 to temp do res+='X' else
        case temp of
          4: res+='XL';
          5: res+='L';
          6: res+='LX';
          7: res+='LXX';
          8: res+='LXXX';
          9: res+='XC';
        end;
      end;
      3: begin
        if (temp<=3) then for var j:=1 to temp do res+='C' else
        case temp of
          4: res+='CD';
          5: res+='D';
          6: res+='DC';
          7: res+='DCC';
          8: res+='DCCC';
          9: res+='CM';
        end;
      end;
      4: for var j:=1 to temp do res+='M';
    end;
    n:=n mod power(10,numLength(n)-1);
  end;
  Result:=res;
end;

//Main
begin
  readln(num);
  writeln(convertToRoman(num));
end.