#include <iostream>
#include <algorithm>
#include <cmath>
#include <vector>
#include <map>
#include <set>
#include <iomanip>
#include <string>
using namespace std;
#define int long long
#define debug(x) cout << #x << " is " << x << '\n';

signed main() {
  ios_base::sync_with_stdio(0);
  cin.tie(0);
  cout << fixed << setprecision(6);
  int n; cin >> n;
  map <string, int> cnt;
  for (int i = 0; i < n; ++i){
    string s; cin >> s;
    for (int j = 0; j < s.size(); ++j){
      string cur = "";
      cur += s[j];
      cur += s[(j + 1) % s.size()];
      if (cur[0] < cur[1]) swap(cur[0], cur[1]);
      cnt[cur]++;
    }
  }
  vector <string> ans;
  int mx = -1;
  for (auto &x: cnt){
    if (x.second < mx) continue;
    if (x.second > mx){
      ans = {};
      mx = x.second;
    }
    ans.push_back(x.first);
  }
  for (auto &x: ans) cout << x << '\n';
  cout << '\n';
} 