#include <iostream>
#include <string>
#include <vector>
#include <cmath>
#include <map>
#include <set>
#include <utility>

using namespace std;

map <string, int> pairs;

int main() {
	int n;
	cin >> n;
	for (int i = 0; i < n; ++i) {
		string word;
		cin >> word;
		word.push_back(word[0]);
		for (size_t i = 0; i < word.length() - 1; ++i) {
			string temp;
			temp.push_back(word[i]);
			temp.push_back(word[i + 1]);
			++pairs[temp];
		}
	}
	pairs["BG"] += pairs["GB"];
	pairs["BR"] += pairs["RB"];
	pairs["GR"] += pairs["RG"];
	pairs.erase("RG");
	pairs.erase("RB");
	pairs.erase("GB");
	int maxx = 0;
	set <string> ps;
	for (const auto& p : pairs) {
		if (p.second > maxx) {
			ps.clear();
			ps.insert(p.first);
			maxx = p.second;
		}
		else if (p.second == maxx) {
			ps.insert(p.first);
		}
	}
	for (const auto& s : ps) {
		cout << s << '\n';
	}
	return 0;
}
