#include <iostream>
#include <string>
#include <vector>
#include <cmath>
#include <map>
#include <set>
#include <utility>
#include <algorithm>

using namespace std;

vector <int> primes;

bool binary_search(const int& num) {
	int l = 0, r = primes.size() - 1, mid = (l + r) / 2;
	if (r < 0) {
		return false;
	}
	do  {
		if (primes[mid] == num) {
			return true;
		}
		if (primes[mid] > num) {
			r = mid;
		}
		else {
			l = mid;
		}
		mid = (l + r) / 2;
	} while(l != mid);
}

bool first_is_prime(const int& n) {
	if (n % 2 == 0) {
		return false;
	}
	for (int i = 3; i < n; i += 2) {
		if (n % i == 0) {
			return false;
		}
	}
	return true;
}

void find_primes() {
	primes.push_back(2);
	for (int i = 3; i < sqrt(1000000000); i += 2) {
		if (first_is_prime(i)) {
			primes.push_back(i);
		}
	}
}

int main() {
	int n;
	find_primes();
	map <int, int> AmOfMult;
	map <int, int> u;
	int sum = 0;
	for (int i = 0; (n != 1 && primes[i] <= n); ++i) {
		while (n % primes[i] == 0) {
			++AmOfMult[i];
			n /= primes[i];
			sum++;
			cout << primes[i] << " ";
		}
	}
	for (const auto& p : AmOfMult) {
		for (int i = 1; i <= AmOfMult[p.second]; ++i) {
			cout << p.first << " ";
		}
	}
	cout << '\n';
	for (int i = 2; i <= sum / 2; i++) {
		for (const auto& p : AmOfMult) {
			while
		} 
	}
	return 0;
}
