#include <iostream>
#include <vector>
#include <set>
#include <cmath>
#include <algorithm>

using namespace std;

set<vector<int>> L;
int cnt;
bool sign;

void comb(long long x, vector<int> pref, int mi, int cnt) {
    if (x == 1) {
        if (cnt % 2 == sign) {
            sort(pref.begin(), pref.end());
            L.insert(pref);
        }
        return;
    }
    if (x == -1) {
        return;
    }
    int i = mi;
    while (x % i != 0) {
        i++;
    }
    pref.push_back(i);
    comb(x / i, pref, i, cnt);
    pref[pref.size() - 1] = -i;
    comb(-x / i, pref, i, cnt + 1);
    return;
}

/*vector<int> pr(long long x) {
    vector<int> L;
    int i = 2;
    while (x != 1) {
        if (x % i == 0) {
            L.push_back(i);
            x /= i;
        }
    }
    return L;
}*/

int main() {
    long long n;
    vector<int> f;
    cin >> n;
    sign = n < 0;
    comb(n, f, 2, 0);
    for (vector<int> i : L) {
        for (int j : i) {
            cout << j << ' ';
        }
        cout << '\n';
    }

}