#pragma GCC optimize("Ofast")
#include <iostream>
#include <vector>
#include <set>
#include <string>
#include <iomanip>
#include <map>
#include <sstream>
#include <unordered_map>
#include <unordered_set>
#include <algorithm>

using namespace std;

#define MII map<int, int>
#define foriab(i, a, b) for(int i=(a);i<(b);++i)
#define fori(i, n) foriab(i, 0, n)
#define VI vector<int>
#define PAR pair<int, int>
#define VP vector<PAR>
#define x first
#define y second
#define SI set<int>
#define int long long
#define sz size
#define pb push_back
#define vall(x) (x).begin(), (x).end()
#define foris(i, s) fori(i, s.sz())

template <class A> istream& operator>>(istream & s, vector<A> & v) {
	for (auto& x : v) {
		s >> x;
	}
	return s;
}
template <class A, class B> istream& operator>>(istream& s, pair<A, B>& v) {
	return s>>v.x>>v.y;
}
template <class A, class B> ostream& operator>>(istream& s, const pair<A, B>& v) {
	return s << v.x <<' '<< v.y<<endl;
}
template <class A> ostream& operator<<(ostream& s, const vector<A>& v) {
	for (const auto& x : v) {
		s << x<<' ';
	}
	return s<<endl;
}
template <class A> ostream& operator<<(ostream& s, const set<A>& v) {
	for (const auto& x : v) {
		s << x << ' ';
	}
	return s << endl;
}
int solveA() {
	int n;
	cin >> n;
	fori(i, n / 5) {
		cout << "V";
	}
	fori(i, n % 5) {
		cout << 'I';
	}
	cout << endl;
	return 0;
}
bool in(int x, int a, int b) {
	return x >= a && x <= b;
}
int abs(int a, int b) {
	return a > b ? a - b : b - a;
}
int solveB() {
	int n, a, b;
	cin >> n >> a >> b;
	int k = n / 2;
	fori(y, n) {
		fori(x, n) {
			if (in(abs(x, k) + abs(y, k), a, b)) {
				cout << '*';
			}
			else {
				cout << '.';
			}
		}
		cout << endl;
	}
	return 0;
}
int solveC() {
	int n;
	cin >> n;
	VI a(n);
	VP b(n);
	cin >> a >> b;
	int sum = 0;
	fori(i, n) {
		if (b[i].x > b[i].y) {
			continue;
		}
		if (!a[i]) {
			continue;
		}
		sum += b[i].y - b[i].x;
	}
	cout << sum << endl;
	return 0;
}
template<class A, class B> bool rmax(A& a, B b) {
	if (a < b) {
		a = b;
		return 1;
	}
	return 0;
}
template<class A, class B> bool rmin(A& a, B b) {
	if (a > b) {
		a = b;
		return 1;
	}
	return 0;
}
int solveD() {
	int n;
	cin >> n;
	map<VI, int> m;
	fori(null, n) {
		string s;
		cin >> s;
		int ss = s.sz();
		s.pb(s[0]);
		fori(i, ss) {
			VI v;
			v.pb(s[i]);
			v.pb(s[i + 1]);
			sort(vall(v));
			++m[v];
		}
	}
	int ma = 0;
	for (auto& p : m) {
		rmax(ma, p.y);
	}
	for (auto& p : m) {
		if (p.y == ma) {
			cout << ((char)p.x[0]) << ((char)p.x[1]) << endl;
		}
	}
	return 0;
}
VP factorize(int n) {
	VP m;
	for (int i = 2; i * i <= n;++i) {
		if (!(n % i)) {
			if (m.empty()) {
				m.pb({ i, 1 });
			}
			else {
				if (m.back().x == i) {
					m.back().y++;
				}
				else {
					m.pb({ i, 1 });
				}
			}
			n /= i;
			--i;
		}
	}
	if (n > 1) {
		if (m.empty()) {
			m.pb({ n, 1 });
		}
		else {
			if (m.back().x == n) {
				m.back().y++;
			}
			else {
				m.pb({ n, 1 });
			}
		}
	}
	return m;
}
int popcnt(int n) {
	int cnt = 0;
	while (n) {
		cnt += n & 1;
		n >>= 1;
	}
	return cnt;
}
int solveE_not_same(){
	int n;
	cin >> n;
	bool a1 = 0;
	if (n < 0) {
		n = -n;
		a1 = 1;
	}
	VP m = factorize(n);
	int cnt = 0;
	for (auto& p : m) {
		cnt += p.y;
	}
	fori(i, 1LL << cnt) {
		if ((popcnt(i) - a1 + 2) & 1) {
			continue;
		}
		int a2 = 0;
		for (auto& p : m) {
			fori(null, p.y) {
				if ((i >> a2) & 1) {
					cout << '-';
				}
				cout << p.x << ' ';
				++a2;
			}
		}
		cout << endl;
	}
	return 0;
}
int popcnt(int n, int f, int t) {
	return popcnt((n&((1LL<<t)-1LL))>>f);
}
int solveE() {
	int n;
	cin >> n;
	bool a1 = 0;
	if (n < 0) {
		n = -n;
		a1 = 1;
	}
	VP m = factorize(n);
	int cnt = 0;
	for (auto& p : m) {
		cnt += p.y;
	}
	set<VI> was;
	fori(i, 1LL << cnt) {
		if ((popcnt(i) - a1 + 2) & 1) {
			continue;
		}
		VI mask;
		int a3 = 0;
		for (auto& p : m) {
			mask.pb(0);
			fori(null, p.y) {
				mask.back() += (i >> a3) & 1;
				++a3;
			}
		}
		if (was.count(mask)) {
			continue;
		}
		was.insert(mask);
		int a2 = 0;
		for (auto& p : m) {
			fori(null, p.y) {
				if ((i >> a2) & 1) {
					cout << '-';
				}
				cout << p.x << ' ';
				++a2;
			}
		}
		cout << endl;
	}
	return 0;
}
#define VVI vector<VI>
VI v1;
VVI v2;
void f1(int a1) {
	if (a1) {
		--a1;
		f1(a1);
		VVI v3;
		for (const VI& v4 : v2) {
			fori(i, v1[a1]) {
				v3.pb(v4);
				v3.back().pb(i);
			}
		}
		v2 = v3;
	}
	else {
		v2.pb(VI());
	}
}
int vsum(const VI& v) {
	int s = 0;
	for (auto x : v) {
		s += x;
	}
	return s;
}
int solveEfast() {
	int n;
	cin >> n;
	bool a1 = 0;
	if (n < 0) {
		n = -n;
		a1 = 1;
	}
	VP m = factorize(n);
	int cnt = 0;
	for (auto& p : m) {
		cnt += p.y;
	}
	for (auto& p : m) {
		v1.pb(p.y+1);
	}
	f1(v1.size());
	for (const VI& v : v2) {
		if ((vsum(v) + 2 - a1) & 1) {
			continue;
		}
		int i = 0;
		for (auto& p : m) {
			fori(j, p.y) {
				if (j < v[i]) {
					cout << '-';
				}
				cout << p.x << ' ';
			}
			++i;
		}
		cout << endl;
	}
	return 0;
}
int n, k, m;
bool check(int b) {
	int empt = 0;
	int i = 0;
	while (i < k) {
		empt += v1[i] <= b;
		++i;
	}
	if (empt < m) {
		return 0;
	}
	while (i < n) {
		empt += v1[i] <= b;
		empt -= v1[i-k] <= b;
		if (empt < m) {
			return 0;
		};
		++i;
	}
	return 1;
}
int f2(int b) {
	int sum = 0;
	for(int x:v1) {
		if (x > b) {
			sum += x;
		}
	}
	return sum - b;
}
int solveF() {
	cin >> n >> k >> m;
	v1.resize(n);
	cin >> v1;
	if (check(0)) {
		cout << f2(0) << endl;
		return 0;
	}
	int l = 0;
	int r = 1000000000;
	while (r - l > 1) {
		int m = r + l >> 1;
		if (check(m)) {
			r = m;
		}
		else {
			l = m;
		}
	}
	cout << f2(r) << endl;
	return 0;
}
signed main(){
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
	return solveF();
}