#include <bits/stdc++.h>

#define int long long

using namespace std;

void factorize(int n, vector<int> & path) {
    if (n == 1) {
        for (int i = 0; i < path.size(); ++i)
            cout << path[i] << " ";
        cout << endl;
        return;
    }
    if (n == -1) {
        return;
    }

    int last;

    if (path.size() == 0)
        last = 2;
    else
        last = path.back();

    if (last > 0) {
        for (int i = last; i * i <= abs(n); ++i) {
            if (n % i == 0) {
                path.push_back(i);
                factorize(n / i, path);
                path.back() = -i;
                factorize(n / (-i), path);
                path.pop_back();
                return;
            }
        }
        if (abs(n) >= last) {
            path.push_back(n);
            factorize(n / n, path);
            path.pop_back();
        }
    } else if (last < 0) {
        int tlast = abs(last);
        for (int i = tlast; i * i <= abs(n); ++i) {
            if (n % i == 0) {
                if (i > tlast) {
                    path.push_back(i);
                    factorize(n / i, path);
                    path.pop_back();
                }
                path.push_back(-i);
                factorize(n / (-i), path);
                path.pop_back();
                return;
            }
        }
        if (abs(n) >= tlast) {
            if (abs(n) > tlast or n < 0) {
                path.push_back(n);
                factorize(n / n, path);
                path.pop_back();
            }
        }
    }
}

signed main() {
    int n;
    cin >> n;
    vector<int> path;
    factorize(n, path);
}
