#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

#define LONG long long

int main () {
    LONG n, k, m;
    cin >> n >> k >> m;
    // vector<LONG> A(n);
    LONG* A = (LONG*)malloc(sizeof(LONG)*n);
    for (LONG i = 0; i < n; i++) cin >> A[i];
    vector<LONG> window(k);
    for (LONG i = 0; i < k; i++) window[i] = A[i];
    sort(window.begin(), window.end());
    LONG m_l = 0;
    LONG b_l = window[0];
    
    for (LONG i = 0; i < window.size(); i++) {
        LONG w = window[i];
        if (m_l < m && w >= b_l)
            b_l = w;
        if (w <= b_l)
            m_l += 1; 
    }
    
    for (LONG i = 1; i < n; i++) {
        if ((i + k) > n) break;
        
        LONG new_el = A[i+k-1];
        LONG old_el = A[i-1];
        if (new_el <= b_l) m_l += 1;
        if (old_el <= b_l) m_l -= 1;
        if (m_l < m) {
            vector<LONG> window_f; 
            for (LONG j = i; j < (i+k); j++) 
                if (A[j] > b_l)
                    window_f.push_back(A[j]);
            if (window_f.size() > 0) {
                sort(window_f.begin(), window_f.end());
                b_l = max(window_f[0], b_l);
                for (LONG j = 0; j < window_f.size(); j++) {
                    LONG w = window_f[j];
                    if (m_l < m && w >= b_l)
                        b_l = max(w, b_l);
                    if (w <= b_l)
                        m_l += 1; 
                }
            }
        }

    }

    LONG a = 0;
    for (LONG i = 0; i < n; i++) if (A[i] > b_l) a += A[i];
    cout << a - b_l << endl;
    free(A);


    return 0;
}