﻿#include <iostream>
#include <algorithm>
#include <math.h>
#include <vector>
#include <string>
#include <map>

using namespace std;

typedef long long ll;

#define fi(n) for (int i = 0; i < (n); i++)

#define fj(n) for (int j = 0; j < (n); j++)
/*
float dist(int ax, int ay, int bx, int by)
{
    return abs(ax - bx) + abs(ay - by);
}
*/

int main()
{
    int n;
    string bysi;

    map<string, int> combs;
    combs["RR"] = 0;
    combs["GG"] = 0;
    combs["BB"] = 0;
    combs["RG"] = 0;
    combs["GR"] = 0;
    combs["BR"] = 0;
    combs["RB"] = 0;

    cin >> n;

    fi(n) {
        cin >> bysi;
        int s = (int)bysi.size();
        fi(s) {
            string cmb = { bysi[i], bysi[(i + 1) % s] };
            combs[cmb]++;
        }
    }

    combs["RG"] += combs["GR"];
    combs["RB"] += combs["BR"];

    int m = 0;
    for (auto c: combs)
        if (c.second > m) m = c.second;
    for (auto c: combs)
        if (c.second == m)
            cout << c.first << '\n';
}