#include <iostream>
#include <vector>
#include <string>

using namespace std;

int *divs;
int *divsp;
int nu = 0;

void find_d( int a ) {
  int b = a;
  for (int i = 2; i * i <= b; i++) {
    if (a % i == 0) {
      divs[nu++] = i;
    }
    while (a % i == 0) {
      a /= i;
      divsp[nu - 1]++;
    }
  }
  if (a != 1) {
    divs[nu++] = a;
    divsp[nu - 1]++;
  }
}

void printn(int n, int i, int j) {
  for (int a = 0; a < i; a++) {
    cout << -n << ' ';
  }
  for (int a = 0; a < j; a++) {
    cout << n << ' ';
  }
}

void recprint(int i, int s) {
  if (i == nu - 1) {
    if (s == -1)
      for (int j = 1; j <= divsp[i]; j += 2) {
        printn(divs[i], j, divsp[i] - j);
        if (i == 0)
          cout << '\n';
      }
    else
      for (int j = 0; j <= divsp[i]; j += 2) {
        printn(divs[i], j, divsp[i] - j);
        if (i == 0)
          cout << '\n';
      }
  }
  else {
    for (int j = 0; j <= divsp[i]; j++) {
      printn(divs[i], j, divsp[i] - j);
      recprint(i + 1, j % 2 == 0 ? s : -s);
      if (i == 0)
        cout << '\n';
    }
  }
}

int main() {
  int a;

  cin >> a;

  int *h = new int[100000];
  divsp = h;
  int *g = new int[100000];
  divs = g;
  for (int i = 0; i < 100000; i++)
    divsp[i] = divs[i] = 0;

  find_d(abs(a));

  recprint(0, a < 0 ? -1 : 1);

  return 0;
}
