#include <iostream>
#include <vector>
#include <string>
#include <algorithm>

#define ll long long

using namespace std;

ll find_s(ll n, ll k, ll m, ll b, vector<int> &ar) {
  int i = 0, ne = 0;
  ll s = 0;

  for (; i < k; i++) {
    if (ar[i] <= b)
      ne++;
    else
      s += ar[i];
  }

  if (ne < m)
    return -1;

  for (; i < n; i++) {
    if (ar[i] <= b)
      ne++;
    else
      s += ar[i];
    if (ar[i - k] <= b)
      ne--;
    if (ne < m)
      return -1;

    if (ne < m)
      return -1;
  }

  return s;
}

int main() {
  ll n, k, m;

  cin >> n >> k >> m;

  vector<int> ar(n);
  vector<int> as(n);
  int l = -1, r = n - 1;

  for (int i = 0; i < n; i++) {
    int c;
    cin >> c;
    ar[i] = c;
    as[i] = c;
  }

  sort(as.begin(), as.end());

  while (r - l > 1) {
    int mid = (r + l) / 2;
    if (find_s(n, k, m, as[mid], ar) > 0)
      r = mid;
    else
      l = mid;
  }

  ll s = find_s(n, k, m, as[r], ar) - as[r];

  cout << s << '\n';

  return 0;
}
