#include <iostream>
#include <vector>
#include "algorithm"
#include "utility"
#include <chrono>
#include <random>
#include <cmath>
#include <set>
#include <map>
#include <cstdio>
#include <string>
#include <queue>
#include <stack>
#include "fstream"


using namespace std;

typedef long long ll;
typedef double lf;
typedef long double llf;

#define pb(x) push_back(x)
#define mp(x,y) make_pair(x,y)
#define all(x) x.begin(), x.end()
#define fi first
#define se second

mt19937_64 rng(chrono::steady_clock::now().time_since_epoch().count());

const int int_inf = 2*1e9;
const ll ll_inf = 4*1e18;
const lf lf_inf = 2*1e9;
const llf llf_inf = 4*1e18;
const ll ll_zero = 0;

const llf eps = 1e-9;
const ll mod = 1e9+7;

const string yes = "YES";
const string no = "NO";

unsigned long long myRand(unsigned long long B){
    return rng() % B;
}

void solve() {
    int n,k,m;
    cin>>n>>k>>m;
    vector<int>a(n),as(n);
    for (int i = 0; i < n; ++i) {
        cin>>a[i];
    }

    as = a;

    sort(all(as));
    as.end() = unique(all(as));

    for (int i = 0; i < n; ++i) {
        int bc = as[i];
        vector<int> ac = a;
        for (int j = 0; j < n; ++j) {
            if (ac[j]<=bc) ac[j]=0;
        }
        int z = 0;
        for (int j = 0; j < k; ++j) {
            if (ac[j] == 0){
                z++;
            }
        }
        bool flag = true;
        if (z < m) {
            flag = false;
        };

        for (int j = k; j < n; ++j) {
            if (ac[j-k] == 0){
                z--;
            }
            if (ac[j] == 0){
                z++;
            }
            if (z < m) {
                flag = false;
            };
        }

        if (flag){
            ll sum = 0;
            for (int j = 0; j < n; ++j) {
                sum+=ac[j];
            }
            sum-=bc;
            cout<<sum;
            return;
        }
    }


}

int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cout.setf(ios::fixed);
    cout.precision(12);


    int t = 1;
    //cin>>t;

    for (int i = 0; i < t; ++i) {
        solve();
        cout<<'\n';
    }


    return 0;
}