//codeforces: JustNik77

#include <iostream>
#include <vector>
#include <algorithm>
#include <queue>
#include <cmath>
#include <set>
#include <stack>
#include <bitset>
#include <map>
#include <ctime>
#include <numeric>
#include <random>
#include <cassert>
#include <cstring>
 
#define int long long
#define uint unsigned long long
#define double long double
#define INF (int) 1e18 / 2

using namespace std;
 
mt19937 rnd(1337);
 
void solve() {
	int n, k, x;
	cin >> n >> k >> x;
	vector<int> a(n);
	for (int &i : a) {
	    cin >> i;
	}
	int l = -1, r = 2e9;
	int res = 0;
	while (r - l > 1) {
	    int m = (l + r) / 2;
	    int cnt = 0;
	    bool ok = true;
	    for (int i = 0; i < k - 1; i++) cnt += a[i] <= m;
	    for (int i = k - 1; i < n; i++) {
	        cnt += a[i] <= m;
	        if (cnt < x) ok = false;
	        cnt -= a[i - k + 1] <= m;
	    }
	    if (!ok) l = m;
	    else r = m;
	}
	l = r - 1, r = 2e9;
// 	cout << l << " " << r << '\n';
	auto get = [&](int m) {
	    int cur = -m;
	    for (int i : a) {
	        if (i > m) cur += i;
	    }
	    return cur;
	};
	while (r - l > 1) {
	    int m = (l + r) / 2;
	    if (get(m) < get(m + 1)) l = m;
	    else r = m;
	}
	cout << get(r) << '\n';
}

int32_t main() {
	solve();
}