package me.mrh1tech.olimp.taskd;

import java.util.HashMap;
import java.util.Scanner;

public class Solution {

    public static void main(String[] args) {
        Scanner console = new Scanner(System.in);
        int n = console.nextInt();

        String[] bysi = new String[n];
        for (int i = -1; i < n; i++) {
            String line = console.nextLine();
            if (!line.equals(""))
                bysi[i] = line;
        }

        HashMap<String, Integer> matches = new HashMap<>();
        matches.put("RR", 0);
        matches.put("GG", 1);
        matches.put("BB", 2);
        matches.put("GR", 3);
        matches.put("RG", 3);
        matches.put("GB", 4);
        matches.put("BG", 4);
        matches.put("RB", 5);
        matches.put("BR", 5);

        String matchesStr[] = {"RR", "GG", "BB", "GR", "GB", "RB"};
        int[] matchesAmount = new int[6];

        for (int i = 0; i < n; i++) {
            char[] chars = bysi[i].toCharArray();

            for (int j = 0; j < chars.length; j++) {
                String match;
                if (j == chars.length - 1)
                    match = String.valueOf(chars[j]) + chars[0];
                else
                    match = String.valueOf(chars[j]) + chars[j + 1];

                if (matches.containsKey(match))
                    matchesAmount[matches.get(match)]++;
            }
        }

        int max = matchesAmount[0];
        for (int i = 0; i < matchesAmount.length; i++) {
            if (matchesAmount[i] > max)
                max = matchesAmount[i];
        }

        for (int i = 0; i < matchesAmount.length; i++) {
            if (matchesAmount[i] == max)
                System.out.println(matchesStr[i]);
        }

    }

}
