from itertools import combinations

def get_primes(n):
    primes = []

    sieve = set(range(2, n+1))
    while sieve:
        prime = min(sieve)
        primes.append(prime)
        sieve -= set(range(prime, n+1, prime))
    return primes
    

def multipliers(n):
    f = n
    
    n = abs(n)
    
    m = []
    primes = get_primes(n)
    
    while n > 1:
        for i in primes:
            if n % i == 0:
                m.append(i)
                n /= i
                
    if f >= 0:
        print(*m)
        for l in range(2, len(m)+1, 2):
            combs = combinations(range(len(m)), l)
            
            a = []
            for comb in combs:
                z = sorted([-m[i] if i in comb else m[i] for i in range(len(m))])
                if z not in a:
                    a.append(z)
                    print(*z)
    if f < 0:
        for l in range(1, len(m)+1, 2):
            combs = combinations(range(len(m)), l)

            a = []
            for comb in combs:
                z = sorted([-m[i] if i in comb else m[i] for i in range(len(m))])
                if z not in a:
                    a.append(z)
                    print(*z)
                
n = int(input())
multipliers(n)
