//
// Created by dannu on 13.12.2021.
//
#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
vector <unordered_set <int>> res;


void gen(int x, int cur_ind, unordered_set <int> &cur, int needed) {
    if (cur.size() == needed) {
        res.push_back(cur);
        return;
    }
    if (needed - cur.size() > x - cur_ind) return;
    if (cur_ind >= x) return;
    cur.insert(cur_ind);
    gen(x, cur_ind + 1, cur, needed);
    cur.erase(cur_ind);
    gen(x, cur_ind + 1, cur, needed);
}

void solve() {
    int n; cin >> n;
    unordered_map <int, int> divs;
    bool neg = (n < 0);
    for (int i = 2; i <= sqrt(n); i ++) {
        if (n % i == 0) divs[i] = 0;
        while (n % i == 0) divs[i] ++, n /= i;
    }
    if (n != 1) divs[n] = 1;
    vector <int> prime;
    for (auto i : divs) {
        for (int j = 0; j < i.second; j ++) prime.push_back(i.first);
    }
    unordered_set <int> cur;
    int x = (int)prime.size();
    int start = 0;
    if (neg) {
        start = 1;
    }
    for (int i = start; i <= x; i += 2) {
        gen(x, 0, cur, i);
    }
    set <vector<int>> ans;
    for (auto &inds : res) {
        vector <int> tmp;
        for (int i = 0; i < x; i ++){
            if (inds.count(i)) tmp.push_back(-prime[i]);
            else tmp.push_back(prime[i]);
        }
        sort(tmp.begin(), tmp.end());
        ans.insert(tmp);
    }
    for (auto &i : ans) {
        for (int j : i) cout << j << ' ';
        cout << '\n';
    }
}


int main() {
    int t = 1;
    //cin >> t;
    while (t--) {
        solve();
        cout << '\n';
    }
}